#ifndef HLIDAC_stred_h
#define HLIDAC_stred_h

#include <algorithm>
#include <stdexcept>
#include <vector>

using std::domain_error;
using std::sort;
using std::vector;
template <class T>
T stred(vector<T> v)
{
	typedef typename vector<T>::size_type vec_vel;

	vec_vel velikost = v.size();
	if (velikost == 0)
		throw domain_error("stredni hodnota prazdneho vectoru");

	sort(v.begin(), v.end());

	vec_vel pros = velikost/2;

	return velikost % 2 == 0 ? (v[pros] + v[pros-1]) / 2 : v[pros];
}
#endif

